/**
 * Required External Modules and Interfaces
 */

import express, {Request, Response} from 'express';
import * as EventService from './events.service';
import {Event} from './event.interface';


/**
 * Router Definition
 */

export const eventsRouter = express.Router();


/**
 * Controller Definitions
 */

// POST users/register
eventsRouter.get('/all', async (req: Request, res: Response) => {
	try {
		// Get request params
		let calendarId: number = parseInt(req.query.calendar as string ?? '', 10);

		// Get events
		let events = await EventService.getAllEvents(calendarId);

		// Send the session details back to the user
		res.status(200).send(events);
	} catch (e: any) {
		console.log('Error handling a request: ' + e.message);
		res.status(500).send(JSON.stringify({'message': 'Internal Server Error. Try again later.'}));
	}
});
